import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/ncjtEntranceGuard/getGroupPageList',
    method: 'get',
    params: query
  })
}

export function createGroup(data) {
  return request({
    url: '/ncjtEntranceGuard/addGroup',
    method: 'post',
    data
  })
}

export function deletGroup(query) {
  return request({
    url: '/ncjtEntranceGuard/deleteGroupById',
    method: 'get',
    params: query
  })
}

export function updateGroup(data) {
  return request({
    url: '/ncjtEntranceGuard/updateGroup',
    method: 'post',
    data
  })
}
